UpdateUserAvatar
PATCH
/auth/v1/users/current/avatarRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.UpdateUserAvatarRequest",
"$ref-value": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"title": "user_id"
},
"image_id": {
"type": "string",
"title": "image_id"
}
},
"title": "UpdateUserAvatarRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.UpdateUserAvatarResponse",
"$ref-value": {
"type": "object",
"properties": {
"image_id": {
"type": "string",
"title": "image_id"
}
},
"title": "UpdateUserAvatarResponse",
"additionalProperties": false
}
}curl -X PATCH "https://api.rixl.com/auth/v1/users/current/avatar" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.UpdateUserAvatarResponse",
"$ref-value": {
"type": "object",
"properties": {
"image_id": {
"type": "string",
"title": "image_id"
}
},
"title": "UpdateUserAvatarResponse",
"additionalProperties": false
}
}